<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddVotesToTacticContainerTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('tactic_container', function (Blueprint $table) {
            $table->uuid('captain')->nullable();
            $table->uuid('freekick')->nullable();
            $table->uuid('corner')->nullable();
            $table->uuid('penalty')->nullable();
            $table->uuid('str-1')->nullable();
            $table->uuid('str-2')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tactic_container', function (Blueprint $table) {
            //
        });
    }
}
