<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script>
    $(document).ready(function(){
        $('#team-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Team List
            <small>From teams</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Teams</a></li>
            <li class="active">All teams</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Teams</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped">
                      <thead>
                            <tr>
                              <th>#</th>
                              <th>Name</th>
                              
                              <th>Address</th>
                             <th>Home Ground</th>
                              <th>Contact Person</th>
                            <th>Phone</th>
                            <th>Manager</th>
                            <th>Team Coach</th>
                        <th>Action</th>
                            </tr>
                      </thead>
                      <tbody>
                          <?php if($teams->count() > 0): ?>
                            <?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    
                                </td>
                                <td>
                                    <?php echo e($team['name']); ?>

                                </td>
                                <td>
                                    <?php echo e($team['address']); ?>

                                </td>
                                <td>
                                    <?php echo e($team['home_ground']); ?>

                                </td>
                                <td>
                                    <?php echo e($team['contact_person']); ?>

                                </td>
                                <td>
                                    <?php echo e($team['phone']); ?>

                                </td>
                                <td>
                                    <?php echo e($team['manager']); ?>

                                </td>
                                <td>
                                    <?php echo e($team['team_coach']); ?>

                                </td>
                                <td>
                                    <a href="/admin/team/edit/<?php echo e($team['UUID']); ?>" class="btn btn-xs btn-success"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp; 
                                    <button class=" btn btn-xs btn-danger btn-remove" data-name="<?php echo e($team['name']); ?>" data-id="<?php echo e($team['UUID']); ?>"><i class="glyphicon glyphicon-remove"></i></button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          <?php endif; ?>
                      </tbody>
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      <div class="modal" id="team-message" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Message</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
      <script>
            $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $(this).attr('disabled', 'disabled');
                    $.ajax({
                        url: '/admin/team/delete/' + id,
                        type: 'DELETE',
                        data:{"_token": "<?php echo e(csrf_token()); ?>"},
                        dataType: 'json'
                    }).done(function(result) {
                        alert('Team deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        var res = xhr.responseJSON;
                        var html = '';
                        console.log(res);
                        $(res).each(function(i, value){
                            console.log(value);
                            html+= value;
                        });
                        $(current).removeAttr('disabled');
                        $('#team-message').find('.modal-body p').html(html);
                        $('#team-message').modal('show');
                    })
                    
                }
              
            });
          </script>
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>